Bug 18383 - readonly /usr breaks makewhatis
Summary: readonly /usr breaks makewhatis
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: man   
(Show other bugs)
Version: 7.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-05 07:18 UTC by Thilo Mezger
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-05 11:46:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Thilo Mezger 2000-10-05 07:18:50 UTC
I like to mount /usr read-only for safetly reasons but makewhatis needs to
have a
writeable /usr/share/man/whatis database.

I always thought that it should always be possible to mount /usr read-only
(I think
that's what the file-system standard says).

Should the "whatis" files move to /var/cache/man?
Or should /etc/cron.daily/makewhatis check for writeable "whatis" files?

Not really a problem but "nice to have"... :-)

Comment 1 Daniel Roesen 2000-10-05 11:46:11 UTC
I consider this not as an enhancement request, but a real bug. /usr is supposed 
to be readonly mountable as per FHS.

Priority/severity adjusted to normal/normal.

Comment 2 Bernhard Rosenkraenzer 2000-10-10 21:14:34 UTC
Fixed; the whatis db has been moved to /var/cache/man.


Note You need to log in before you can comment on or make changes to this bug.